しょぼしょぼプログラマ雑記

自分のための備忘録。 開発記録など掲載してます。 質問・ご意見・ご感想等はTwitter ( https://twitter.com/yun_hokuto ) までお気軽にどうぞ。

「iOS」向けアプリの申請、2015年2月1日より64bitのサポートとiOS 8 SDKでの開発が必須

2014年の後半から出ていた情報になりますが、とうとう昨日の2/1に必須になりましたね

なんのことかわからない方の為に下に説明サイトへのリンクを張ってみました

64bitマシンはiPhone5sからになります(iPhone5は32bit)

多分今後は32bitマシンでは、アプリが起動しない、アプリがクラッシュする、などの事が予想されます

開発する際は64bit対応を意識しないとダメですね

あと、32bitでタイムスタンプを使用した場合、2038年にはUnixtimestampが上限に行きます

そのあたりも懸念しての64bit対応なのではないでしょうか?